package com.mortals.xhx.module.alarm.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.alarm.model.AlarmRecordsEntity;
import com.mortals.xhx.module.alarm.service.AlarmRecordsService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 告警消息记录
*
* @author zxfei
* @date 2025-03-28
*/
@RestController
@RequestMapping("alarm/records")
public class AlarmRecordsController extends BaseCRUDJsonBodyMappingController<AlarmRecordsService,AlarmRecordsEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AlarmRecordsController(){
        super.setModuleDesc( "告警消息记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "alarmLevel", AlarmLevelEnum.getEnumMap());

        super.init(model, context);
    }


}