package com.mortals.xhx.module.care.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.vo.CareCpRecordsVo;
import lombok.Data;
/**
* 差评预警实体对象
*
* @author zxfei
* @date 2025-03-28
*/
@Data
public class CareCpRecordsEntity extends CareCpRecordsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点Id
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 个人信息ID
    */
    private Long personId;
    /**
    * 评价号ID与办理号id一致
    */
    private Long pjId;
    /**
    * 姓名
    */
    private String name;
    /**
    * 联系方式
    */
    private String contact;
    /**
    * 身份证号码
    */
    private String idCard;
    /**
    * 窗口id
    */
    private Long windowId;
    /**
    * 窗口名称
    */
    private String windowName;
    /**
    * 部门
    */
    private String section;
    /**
    * 编号
    */
    private String flounum;
    /**
    * 评价选项
    */
    private String assessment;
    /**
    * 评价类型
    */
    private String type;
    /**
    * 评价内容
    */
    private String content;
    /**
    * 来源
    */
    private String source;
    /**
    * 评价时间
    */
    private Date pjTime;
    /**
    * 告警次数
    */
    private Integer careCount;
    /**
    * 消息发送次数
    */
    private Integer smsCount;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CareCpRecordsEntity) {
            CareCpRecordsEntity tmp = (CareCpRecordsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.siteName = "";
            this.personId = null;
            this.pjId = null;
            this.name = "";
            this.contact = "";
            this.idCard = "";
            this.windowId = null;
            this.windowName = "";
            this.section = "";
            this.flounum = "";
            this.assessment = "";
            this.type = "";
            this.content = "";
            this.source = "";
            this.pjTime = null;
            this.careCount = 0;
            this.smsCount = 0;
    }
}