package com.mortals.xhx.module.alarm.service.impl;
import com.mortals.framework.model.PageInfo;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.alarm.dao.AlarmRecordsDao;
import com.mortals.xhx.module.alarm.model.AlarmRecordsEntity;
import com.mortals.xhx.module.alarm.service.AlarmRecordsService;
import lombok.extern.slf4j.Slf4j;
/**
* AlarmRecordsService
* 告警消息记录 service实现
*
* @author zxfei
* @date 2025-03-28
*/
@Service("alarmRecordsService")
@Slf4j
public class AlarmRecordsServiceImpl extends AbstractCRUDServiceImpl<AlarmRecordsDao, AlarmRecordsEntity, Long> implements AlarmRecordsService {
    
}